# PulpAnsibleClient::AnsibleCollectionVersionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**pulp_href** | **String** |  | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**id** | **String** | A collection identifier. | [optional] [readonly] 
**authors** | **Array&lt;String&gt;** | A list of the CollectionVersion content&#39;s authors. | [optional] [readonly] 
**contents** | [**Object**](.md) | A JSON field with data about the contents. | [optional] [readonly] 
**dependencies** | [**Object**](.md) | A dict declaring Collections that this collection requires to be installed for it to be usable. | [optional] [readonly] 
**description** | **String** | A short summary description of the collection. | [optional] [readonly] 
**docs_blob** | [**Object**](.md) | A JSON field holding the various documentation blobs in the collection. | [optional] [readonly] 
**manifest** | [**Object**](.md) | A JSON field holding MANIFEST.json data. | [optional] [readonly] 
**files** | [**Object**](.md) | A JSON field holding FILES.json data. | [optional] [readonly] 
**documentation** | **String** | The URL to any online docs. | [optional] [readonly] 
**homepage** | **String** | The URL to the homepage of the collection/project. | [optional] [readonly] 
**issues** | **String** | The URL to the collection issue tracker. | [optional] [readonly] 
**license** | **Array&lt;String&gt;** | A list of licenses for content inside of a collection. | [optional] [readonly] 
**name** | **String** | The name of the collection. | [optional] [readonly] 
**namespace** | **String** | The namespace of the collection. | [optional] [readonly] 
**origin_repository** | **String** | The URL of the originating SCM repository. | [optional] [readonly] 
**tags** | [**Array&lt;AnsibleTagResponse&gt;**](AnsibleTagResponse.md) |  | [optional] [readonly] 
**version** | **String** | The version of the collection. | [optional] [readonly] 
**requires_ansible** | **String** | The version of Ansible required to use the collection. Multiple versions can be separated with a comma. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleCollectionVersionResponse.new(pulp_created: null,
                                 artifact: null,
                                 pulp_href: null,
                                 sha256: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha384: null,
                                 sha512: null,
                                 id: null,
                                 authors: null,
                                 contents: null,
                                 dependencies: null,
                                 description: null,
                                 docs_blob: null,
                                 manifest: null,
                                 files: null,
                                 documentation: null,
                                 homepage: null,
                                 issues: null,
                                 license: null,
                                 name: null,
                                 namespace: null,
                                 origin_repository: null,
                                 tags: null,
                                 version: null,
                                 requires_ansible: null)
```


