# PulpAnsibleClient::PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi.md#list) | **GET** /pulp_ansible/galaxy/{path}/api/v3/plugin/ansible/search/collection-versions/ | 
[**rebuild**](PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi.md#rebuild) | **POST** /pulp_ansible/galaxy/{path}/api/v3/plugin/ansible/search/collection-versions/ | 



## list

> PaginatedCollectionVersionSearchListResponseList list(path, opts)



A viewset for cross-repo searches.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi.new
path = 'path_example' # String | 
opts = {
  dependency: 'dependency_example', # String | 
  deprecated: true, # Boolean | 
  distribution: ['distribution_example'], # Array<String> | Filter collectionversions that are in these distrubtion ids.
  distribution_base_path: ['distribution_base_path_example'], # Array<String> | Filter collectionversions that are in these base paths.
  highest: true, # Boolean | 
  is_deprecated: true, # Boolean | 
  is_highest: true, # Boolean | 
  is_signed: true, # Boolean | 
  keywords: 'keywords_example', # String | 
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  namespace: 'namespace_example', # String | 
  offset: 56, # Integer | The initial index from which to return the results.
  order_by: ['order_by_example'], # Array<String> | Ordering  * `pulp_created` - by CV created * `-pulp_created` - by CV created (descending) * `namespace` - by CV namespace * `-namespace` - by CV namespace (descending) * `name` - by CV name * `-name` - by CV name (descending) * `version` - by CV version * `-version` - by CV version (descending)
  q: 'q_example', # String | 
  repository: ['repository_example'], # Array<String> | Filter collectionversions that are in these repository ids.
  repository_label: 'repository_label_example', # String | Filter labels by search string
  repository_name: ['repository_name_example'], # Array<String> | Filter collectionversions that are in these repositories.
  repository_version: 'repository_version_example', # String | 
  signed: true, # Boolean | 
  tags: 'tags_example', # String | Filter by comma separate list of tags that must all be matched
  version: 'version_example', # String | 
  version_range: 'version_range_example', # String | 
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  result = api_instance.list(path, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **dependency** | **String**|  | [optional] 
 **deprecated** | **Boolean**|  | [optional] 
 **distribution** | [**Array&lt;String&gt;**](String.md)| Filter collectionversions that are in these distrubtion ids. | [optional] 
 **distribution_base_path** | [**Array&lt;String&gt;**](String.md)| Filter collectionversions that are in these base paths. | [optional] 
 **highest** | **Boolean**|  | [optional] 
 **is_deprecated** | **Boolean**|  | [optional] 
 **is_highest** | **Boolean**|  | [optional] 
 **is_signed** | **Boolean**|  | [optional] 
 **keywords** | **String**|  | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **namespace** | **String**|  | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **order_by** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_created&#x60; - by CV created * &#x60;-pulp_created&#x60; - by CV created (descending) * &#x60;namespace&#x60; - by CV namespace * &#x60;-namespace&#x60; - by CV namespace (descending) * &#x60;name&#x60; - by CV name * &#x60;-name&#x60; - by CV name (descending) * &#x60;version&#x60; - by CV version * &#x60;-version&#x60; - by CV version (descending) | [optional] 
 **q** | **String**|  | [optional] 
 **repository** | [**Array&lt;String&gt;**](String.md)| Filter collectionversions that are in these repository ids. | [optional] 
 **repository_label** | **String**| Filter labels by search string | [optional] 
 **repository_name** | [**Array&lt;String&gt;**](String.md)| Filter collectionversions that are in these repositories. | [optional] 
 **repository_version** | **String**|  | [optional] 
 **signed** | **Boolean**|  | [optional] 
 **tags** | **String**| Filter by comma separate list of tags that must all be matched | [optional] 
 **version** | **String**|  | [optional] 
 **version_range** | **String**|  | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedCollectionVersionSearchListResponseList**](PaginatedCollectionVersionSearchListResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## rebuild

> CollectionVersionSearchListResponse rebuild(path, collection_version_search_list)



A viewset for cross-repo searches.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi.new
path = 'path_example' # String | 
collection_version_search_list = PulpAnsibleClient::CollectionVersionSearchList.new # CollectionVersionSearchList | 

begin
  result = api_instance.rebuild(path, collection_version_search_list)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleApiV3PluginAnsibleSearchCollectionVersionsApi->rebuild: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**|  | 
 **collection_version_search_list** | [**CollectionVersionSearchList**](CollectionVersionSearchList.md)|  | 

### Return type

[**CollectionVersionSearchListResponse**](CollectionVersionSearchListResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

