# PulpAnsibleClient::RepositoriesAnsibleApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_role**](RepositoriesAnsibleApi.md#add_role) | **POST** {ansible_ansible_repository_href}add_role/ | Add a role
[**copy_collection_version**](RepositoriesAnsibleApi.md#copy_collection_version) | **POST** {ansible_ansible_repository_href}copy_collection_version/ | 
[**create**](RepositoriesAnsibleApi.md#create) | **POST** /pulp/api/v3/repositories/ansible/ansible/ | Create an ansible repository
[**delete**](RepositoriesAnsibleApi.md#delete) | **DELETE** {ansible_ansible_repository_href} | Delete an ansible repository
[**list**](RepositoriesAnsibleApi.md#list) | **GET** /pulp/api/v3/repositories/ansible/ansible/ | List ansible repositorys
[**list_roles**](RepositoriesAnsibleApi.md#list_roles) | **GET** {ansible_ansible_repository_href}list_roles/ | List roles
[**mark**](RepositoriesAnsibleApi.md#mark) | **POST** {ansible_ansible_repository_href}mark/ | 
[**modify**](RepositoriesAnsibleApi.md#modify) | **POST** {ansible_ansible_repository_href}modify/ | Modify Repository Content
[**move_collection_version**](RepositoriesAnsibleApi.md#move_collection_version) | **POST** {ansible_ansible_repository_href}move_collection_version/ | 
[**my_permissions**](RepositoriesAnsibleApi.md#my_permissions) | **GET** {ansible_ansible_repository_href}my_permissions/ | List user permissions
[**partial_update**](RepositoriesAnsibleApi.md#partial_update) | **PATCH** {ansible_ansible_repository_href} | Update an ansible repository
[**read**](RepositoriesAnsibleApi.md#read) | **GET** {ansible_ansible_repository_href} | Inspect an ansible repository
[**rebuild_metadata**](RepositoriesAnsibleApi.md#rebuild_metadata) | **POST** {ansible_ansible_repository_href}rebuild_metadata/ | 
[**remove_role**](RepositoriesAnsibleApi.md#remove_role) | **POST** {ansible_ansible_repository_href}remove_role/ | Remove a role
[**set_label**](RepositoriesAnsibleApi.md#set_label) | **POST** {ansible_ansible_repository_href}set_label/ | Set a label
[**sign**](RepositoriesAnsibleApi.md#sign) | **POST** {ansible_ansible_repository_href}sign/ | 
[**sync**](RepositoriesAnsibleApi.md#sync) | **POST** {ansible_ansible_repository_href}sync/ | 
[**unmark**](RepositoriesAnsibleApi.md#unmark) | **POST** {ansible_ansible_repository_href}unmark/ | 
[**unset_label**](RepositoriesAnsibleApi.md#unset_label) | **POST** {ansible_ansible_repository_href}unset_label/ | Unset a label
[**update**](RepositoriesAnsibleApi.md#update) | **PUT** {ansible_ansible_repository_href} | Update an ansible repository



## add_role

> NestedRoleResponse add_role(ansible_ansible_repository_href, nested_role)

Add a role

Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
nested_role = PulpAnsibleClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(ansible_ansible_repository_href, nested_role)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## copy_collection_version

> AsyncOperationResponse copy_collection_version(ansible_ansible_repository_href, collection_version_copy_move)



Trigger an asynchronous task to copy collection versions.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
collection_version_copy_move = PulpAnsibleClient::CollectionVersionCopyMove.new # CollectionVersionCopyMove | 

begin
  result = api_instance.copy_collection_version(ansible_ansible_repository_href, collection_version_copy_move)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->copy_collection_version: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **collection_version_copy_move** | [**CollectionVersionCopyMove**](CollectionVersionCopyMove.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> AnsibleAnsibleRepositoryResponse create(ansible_ansible_repository)

Create an ansible repository

ViewSet for Ansible Repositories.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Create an ansible repository
  result = api_instance.create(ansible_ansible_repository)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AnsibleAnsibleRepositoryResponse**](AnsibleAnsibleRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(ansible_ansible_repository_href)

Delete an ansible repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 

begin
  #Delete an ansible repository
  result = api_instance.delete(ansible_ansible_repository_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedansibleAnsibleRepositoryResponseList list(opts)

List ansible repositorys

ViewSet for Ansible Repositories.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
opts = {
  latest_with_content: 'latest_with_content_example', # String | Content Unit referenced by HREF
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__iexact: 'name__iexact_example', # String | Filter results where name matches value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__iregex: 'name__iregex_example', # String | Filter results where name matches regex value
  name__istartswith: 'name__istartswith_example', # String | Filter results where name starts with value
  name__regex: 'name__regex_example', # String | Filter results where name matches regex value
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering  * `pulp_id` - Pulp id * `-pulp_id` - Pulp id (descending) * `pulp_created` - Pulp created * `-pulp_created` - Pulp created (descending) * `pulp_last_updated` - Pulp last updated * `-pulp_last_updated` - Pulp last updated (descending) * `pulp_type` - Pulp type * `-pulp_type` - Pulp type (descending) * `name` - Name * `-name` - Name (descending) * `pulp_labels` - Pulp labels * `-pulp_labels` - Pulp labels (descending) * `description` - Description * `-description` - Description (descending) * `next_version` - Next version * `-next_version` - Next version (descending) * `retain_repo_versions` - Retain repo versions * `-retain_repo_versions` - Retain repo versions (descending) * `user_hidden` - User hidden * `-user_hidden` - User hidden (descending) * `pk` - Pk * `-pk` - Pk (descending)
  pulp_href__in: ['pulp_href__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_id__in: ['pulp_id__in_example'], # Array<String> | Multiple values may be separated by commas.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  q: 'q_example', # String | 
  remote: 'remote_example', # String | Foreign Key referenced by HREF
  retain_repo_versions: 56, # Integer | Filter results where retain_repo_versions matches value
  retain_repo_versions__gt: 56, # Integer | Filter results where retain_repo_versions is greater than value
  retain_repo_versions__gte: 56, # Integer | Filter results where retain_repo_versions is greater than or equal to value
  retain_repo_versions__isnull: true, # Boolean | Filter results where retain_repo_versions has a null value
  retain_repo_versions__lt: 56, # Integer | Filter results where retain_repo_versions is less than value
  retain_repo_versions__lte: 56, # Integer | Filter results where retain_repo_versions is less than or equal to value
  retain_repo_versions__ne: 56, # Integer | Filter results where retain_repo_versions not equal to value
  retain_repo_versions__range: [56], # Array<Integer> | Filter results where retain_repo_versions is between two comma separated values
  with_content: 'with_content_example', # String | Content Unit referenced by HREF
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List ansible repositorys
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latest_with_content** | **String**| Content Unit referenced by HREF | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__iexact** | **String**| Filter results where name matches value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__iregex** | **String**| Filter results where name matches regex value | [optional] 
 **name__istartswith** | **String**| Filter results where name starts with value | [optional] 
 **name__regex** | **String**| Filter results where name matches regex value | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;pulp_labels&#x60; - Pulp labels * &#x60;-pulp_labels&#x60; - Pulp labels (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;next_version&#x60; - Next version * &#x60;-next_version&#x60; - Next version (descending) * &#x60;retain_repo_versions&#x60; - Retain repo versions * &#x60;-retain_repo_versions&#x60; - Retain repo versions (descending) * &#x60;user_hidden&#x60; - User hidden * &#x60;-user_hidden&#x60; - User hidden (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending) | [optional] 
 **pulp_href__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_id__in** | [**Array&lt;String&gt;**](String.md)| Multiple values may be separated by commas. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **q** | **String**|  | [optional] 
 **remote** | [**String**](.md)| Foreign Key referenced by HREF | [optional] 
 **retain_repo_versions** | **Integer**| Filter results where retain_repo_versions matches value | [optional] 
 **retain_repo_versions__gt** | **Integer**| Filter results where retain_repo_versions is greater than value | [optional] 
 **retain_repo_versions__gte** | **Integer**| Filter results where retain_repo_versions is greater than or equal to value | [optional] 
 **retain_repo_versions__isnull** | **Boolean**| Filter results where retain_repo_versions has a null value | [optional] 
 **retain_repo_versions__lt** | **Integer**| Filter results where retain_repo_versions is less than value | [optional] 
 **retain_repo_versions__lte** | **Integer**| Filter results where retain_repo_versions is less than or equal to value | [optional] 
 **retain_repo_versions__ne** | **Integer**| Filter results where retain_repo_versions not equal to value | [optional] 
 **retain_repo_versions__range** | [**Array&lt;Integer&gt;**](Integer.md)| Filter results where retain_repo_versions is between two comma separated values | [optional] 
 **with_content** | **String**| Content Unit referenced by HREF | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedansibleAnsibleRepositoryResponseList**](PaginatedansibleAnsibleRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(ansible_ansible_repository_href, opts)

List roles

List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List roles
  result = api_instance.list_roles(ansible_ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## mark

> AsyncOperationResponse mark(ansible_ansible_repository_href, ansible_repository_mark)



Trigger an asynchronous task to mark Ansible content.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_repository_mark = PulpAnsibleClient::AnsibleRepositoryMark.new # AnsibleRepositoryMark | 

begin
  result = api_instance.mark(ansible_ansible_repository_href, ansible_repository_mark)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->mark: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_repository_mark** | [**AnsibleRepositoryMark**](AnsibleRepositoryMark.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(ansible_ansible_repository_href, repository_add_remove_content)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
repository_add_remove_content = PulpAnsibleClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(ansible_ansible_repository_href, repository_add_remove_content)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **repository_add_remove_content** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## move_collection_version

> AsyncOperationResponse move_collection_version(ansible_ansible_repository_href, collection_version_copy_move)



Trigger an asynchronous task to move collection versions.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
collection_version_copy_move = PulpAnsibleClient::CollectionVersionCopyMove.new # CollectionVersionCopyMove | 

begin
  result = api_instance.move_collection_version(ansible_ansible_repository_href, collection_version_copy_move)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->move_collection_version: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **collection_version_copy_move** | [**CollectionVersionCopyMove**](CollectionVersionCopyMove.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(ansible_ansible_repository_href, opts)

List user permissions

List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List user permissions
  result = api_instance.my_permissions(ansible_ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(ansible_ansible_repository_href, patchedansible_ansible_repository)

Update an ansible repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
patchedansible_ansible_repository = PulpAnsibleClient::PatchedansibleAnsibleRepository.new # PatchedansibleAnsibleRepository | 

begin
  #Update an ansible repository
  result = api_instance.partial_update(ansible_ansible_repository_href, patchedansible_ansible_repository)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **patchedansible_ansible_repository** | [**PatchedansibleAnsibleRepository**](PatchedansibleAnsibleRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> AnsibleAnsibleRepositoryResponse read(ansible_ansible_repository_href, opts)

Inspect an ansible repository

ViewSet for Ansible Repositories.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
opts = {
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #Inspect an ansible repository
  result = api_instance.read(ansible_ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleAnsibleRepositoryResponse**](AnsibleAnsibleRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## rebuild_metadata

> AsyncOperationResponse rebuild_metadata(ansible_ansible_repository_href, ansible_repository_rebuild)



Trigger an asynchronous task to rebuild Ansible content meta.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_repository_rebuild = PulpAnsibleClient::AnsibleRepositoryRebuild.new # AnsibleRepositoryRebuild | 

begin
  result = api_instance.rebuild_metadata(ansible_ansible_repository_href, ansible_repository_rebuild)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->rebuild_metadata: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_repository_rebuild** | [**AnsibleRepositoryRebuild**](AnsibleRepositoryRebuild.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(ansible_ansible_repository_href, nested_role)

Remove a role

Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
nested_role = PulpAnsibleClient::NestedRole.new # NestedRole | 

begin
  #Remove a role
  result = api_instance.remove_role(ansible_ansible_repository_href, nested_role)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## set_label

> SetLabelResponse set_label(ansible_ansible_repository_href, set_label)

Set a label

Set a single pulp_label on the object to a specific value or null.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
set_label = PulpAnsibleClient::SetLabel.new # SetLabel | 

begin
  #Set a label
  result = api_instance.set_label(ansible_ansible_repository_href, set_label)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->set_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **set_label** | [**SetLabel**](SetLabel.md)|  | 

### Return type

[**SetLabelResponse**](SetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## sign

> AsyncOperationResponse sign(ansible_ansible_repository_href, ansible_repository_signature)



Trigger an asynchronous task to sign Ansible content.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_repository_signature = PulpAnsibleClient::AnsibleRepositorySignature.new # AnsibleRepositorySignature | 

begin
  result = api_instance.sign(ansible_ansible_repository_href, ansible_repository_signature)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->sign: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_repository_signature** | [**AnsibleRepositorySignature**](AnsibleRepositorySignature.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(ansible_ansible_repository_href, ansible_repository_sync_url)



Trigger an asynchronous task to sync Ansible content.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_repository_sync_url = PulpAnsibleClient::AnsibleRepositorySyncURL.new # AnsibleRepositorySyncURL | 

begin
  result = api_instance.sync(ansible_ansible_repository_href, ansible_repository_sync_url)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_repository_sync_url** | [**AnsibleRepositorySyncURL**](AnsibleRepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## unmark

> AsyncOperationResponse unmark(ansible_ansible_repository_href, ansible_repository_mark)



Trigger an asynchronous task to unmark Ansible content.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_repository_mark = PulpAnsibleClient::AnsibleRepositoryMark.new # AnsibleRepositoryMark | 

begin
  result = api_instance.unmark(ansible_ansible_repository_href, ansible_repository_mark)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->unmark: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_repository_mark** | [**AnsibleRepositoryMark**](AnsibleRepositoryMark.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## unset_label

> UnsetLabelResponse unset_label(ansible_ansible_repository_href, unset_label)

Unset a label

Unset a single pulp_label on the object.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
unset_label = PulpAnsibleClient::UnsetLabel.new # UnsetLabel | 

begin
  #Unset a label
  result = api_instance.unset_label(ansible_ansible_repository_href, unset_label)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->unset_label: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **unset_label** | [**UnsetLabel**](UnsetLabel.md)|  | 

### Return type

[**UnsetLabelResponse**](UnsetLabelResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(ansible_ansible_repository_href, ansible_ansible_repository)

Update an ansible repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_ansible_repository = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Update an ansible repository
  result = api_instance.update(ansible_ansible_repository_href, ansible_ansible_repository)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_ansible_repository** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

