# PulpAnsibleClient::VersionsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_v1_roles_versions_list**](VersionsApi.md#api_v1_roles_versions_list) | **GET** {ansible_role_href}versions/ | 
[**api_v2_collection_versions_list**](VersionsApi.md#api_v2_collection_versions_list) | **GET** {ansible_collection_version_href}versions/ | 



## api_v1_roles_versions_list

> PaginatedGalaxyRoleVersionResponseList api_v1_roles_versions_list(ansible_role_href, opts)



APIView for Role Versions.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::VersionsApi.new
ansible_role_href = 'ansible_role_href_example' # String | 
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  result = api_instance.api_v1_roles_versions_list(ansible_role_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling VersionsApi->api_v1_roles_versions_list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_href** | **String**|  | 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedGalaxyRoleVersionResponseList**](PaginatedGalaxyRoleVersionResponseList.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## api_v2_collection_versions_list

> PaginatedGalaxyCollectionVersionResponseList api_v2_collection_versions_list(ansible_collection_version_href, opts)



APIView for Collections by namespace/name.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::VersionsApi.new
ansible_collection_version_href = 'ansible_collection_version_href_example' # String | 
opts = {
  page: 56, # Integer | A page number within the paginated result set.
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  result = api_instance.api_v2_collection_versions_list(ansible_collection_version_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling VersionsApi->api_v2_collection_versions_list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_version_href** | **String**|  | 
 **page** | **Integer**| A page number within the paginated result set. | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedGalaxyCollectionVersionResponseList**](PaginatedGalaxyCollectionVersionResponseList.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

