=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpAnsibleClient::ContentCollectionSignaturesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentCollectionSignaturesApi' do
  before do
    # run before each test
    @api_instance = PulpAnsibleClient::ContentCollectionSignaturesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentCollectionSignaturesApi' do
    it 'should create an instance of ContentCollectionSignaturesApi' do
      expect(@api_instance).to be_instance_of(PulpAnsibleClient::ContentCollectionSignaturesApi)
    end
  end

  # unit tests for create
  # Create a collection version signature
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param file An uploaded file that may be turned into the artifact of the content unit.
  # @param signed_collection The content this signature is pointing to.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List collection version signatures
  # ViewSet for looking at signature objects for CollectionVersion content.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;upstream_id&#x60; - Upstream id * &#x60;-upstream_id&#x60; - Upstream id (descending) * &#x60;timestamp_of_interest&#x60; - Timestamp of interest * &#x60;-timestamp_of_interest&#x60; - Timestamp of interest (descending) * &#x60;data&#x60; - Data * &#x60;-data&#x60; - Data (descending) * &#x60;digest&#x60; - Digest * &#x60;-digest&#x60; - Digest (descending) * &#x60;pubkey_fingerprint&#x60; - Pubkey fingerprint * &#x60;-pubkey_fingerprint&#x60; - Pubkey fingerprint (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [String] :pubkey_fingerprint Filter results where pubkey_fingerprint matches value
  # @option opts [Array<String>] :pubkey_fingerprint__in Filter results where pubkey_fingerprint is in a comma-separated list of values
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :q 
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :signed_collection Filter signatures for collection version
  # @option opts [String] :signing_service Filter signatures produced by signature service
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginatedansibleCollectionVersionSignatureResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a collection version signature
  # ViewSet for looking at signature objects for CollectionVersion content.
  # @param ansible_collection_version_signature_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [AnsibleCollectionVersionSignatureResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
