=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpAnsibleClient::ContentCollectionVersionsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentCollectionVersionsApi' do
  before do
    # run before each test
    @api_instance = PulpAnsibleClient::ContentCollectionVersionsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentCollectionVersionsApi' do
    it 'should create an instance of ContentCollectionVersionsApi' do
      expect(@api_instance).to be_instance_of(PulpAnsibleClient::ContentCollectionVersionsApi)
    end
  end

  # unit tests for create
  # Create a collection version
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :upload An uncommitted upload that may be turned into the artifact of the content unit.
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @option opts [String] :artifact Artifact file representing the physical content
  # @option opts [File] :file An uploaded file that may be turned into the artifact of the content unit.
  # @option opts [String] :expected_name The name of the collection.
  # @option opts [String] :expected_namespace The namespace of the collection.
  # @option opts [String] :expected_version The version of the collection.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List collection versions
  # ViewSet for Ansible Collection.
  # @param [Hash] opts the optional parameters
  # @option opts [Boolean] :is_highest 
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :name 
  # @option opts [String] :namespace 
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;upstream_id&#x60; - Upstream id * &#x60;-upstream_id&#x60; - Upstream id (descending) * &#x60;timestamp_of_interest&#x60; - Timestamp of interest * &#x60;-timestamp_of_interest&#x60; - Timestamp of interest (descending) * &#x60;authors&#x60; - Authors * &#x60;-authors&#x60; - Authors (descending) * &#x60;contents&#x60; - Contents * &#x60;-contents&#x60; - Contents (descending) * &#x60;dependencies&#x60; - Dependencies * &#x60;-dependencies&#x60; - Dependencies (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;docs_blob&#x60; - Docs blob * &#x60;-docs_blob&#x60; - Docs blob (descending) * &#x60;manifest&#x60; - Manifest * &#x60;-manifest&#x60; - Manifest (descending) * &#x60;files&#x60; - Files * &#x60;-files&#x60; - Files (descending) * &#x60;documentation&#x60; - Documentation * &#x60;-documentation&#x60; - Documentation (descending) * &#x60;homepage&#x60; - Homepage * &#x60;-homepage&#x60; - Homepage (descending) * &#x60;issues&#x60; - Issues * &#x60;-issues&#x60; - Issues (descending) * &#x60;license&#x60; - License * &#x60;-license&#x60; - License (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;namespace&#x60; - Namespace * &#x60;-namespace&#x60; - Namespace (descending) * &#x60;repository&#x60; - Repository * &#x60;-repository&#x60; - Repository (descending) * &#x60;requires_ansible&#x60; - Requires ansible * &#x60;-requires_ansible&#x60; - Requires ansible (descending) * &#x60;version&#x60; - Version * &#x60;-version&#x60; - Version (descending) * &#x60;version_major&#x60; - Version major * &#x60;-version_major&#x60; - Version major (descending) * &#x60;version_minor&#x60; - Version minor * &#x60;-version_minor&#x60; - Version minor (descending) * &#x60;version_patch&#x60; - Version patch * &#x60;-version_patch&#x60; - Version patch (descending) * &#x60;version_prerelease&#x60; - Version prerelease * &#x60;-version_prerelease&#x60; - Version prerelease (descending) * &#x60;is_highest&#x60; - Is highest * &#x60;-is_highest&#x60; - Is highest (descending) * &#x60;search_vector&#x60; - Search vector * &#x60;-search_vector&#x60; - Search vector (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :q 
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :tags Filter by comma separate list of tags that must all be matched
  # @option opts [String] :version Filter results where version matches value
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginatedansibleCollectionVersionResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a collection version
  # ViewSet for Ansible Collection.
  # @param ansible_collection_version_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [AnsibleCollectionVersionResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
